Get AS112 DNS queries by EDNS support summary
Retrieves the distribution of AS112 DNS queries by EDNS (Extension Mechanisms for DNS) support over time.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYYAPI Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
X-Auth-Email: user@example.comThe previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194Accepted Permissions (at least one required)
User Details WriteUser Details ReadParametersExpand Collapse
query AS112TimeseriesGroupEdnsParams
Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to Aggregation intervals.
Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to Aggregation intervals.
Filters results by continent. Specify a comma-separated list of alpha-2 codes. Prefix with - to exclude continents from results. For example, -EU,NA excludes results from EU, but includes results from NA.
Filters results by date range. For example, use 7d and 7dcontrol to compare this week with the previous week. Use this parameter or set specific start and end dates (dateStart and dateEnd parameters).
Filters results by location. Specify a comma-separated list of alpha-2 codes. Prefix with - to exclude locations from results. For example, -US,PT excludes results from the US, but includes results from PT.
Protocol param.Field[[]AS112TimeseriesGroupEdnsParamsProtocol]optionalFilters results by DNS transport protocol.
Filters results by DNS transport protocol.
QueryType param.Field[[]AS112TimeseriesGroupEdnsParamsQueryType]optionalFilters results by DNS query type.
Filters results by DNS query type.
ResponseCode param.Field[[]AS112TimeseriesGroupEdnsParamsResponseCode]optionalFilters results by DNS response code.
Filters results by DNS response code.
ReturnsExpand Collapse
type AS112TimeseriesGroupEdnsResponse struct{…}
Meta AS112TimeseriesGroupEdnsResponseMetaMetadata for the results.
Metadata for the results.
AggInterval AS112TimeseriesGroupEdnsResponseMetaAggIntervalAggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to Aggregation intervals.
Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to Aggregation intervals.
ConfidenceInfo AS112TimeseriesGroupEdnsResponseMetaConfidenceInfo
Annotations []AS112TimeseriesGroupEdnsResponseMetaConfidenceInfoAnnotation
DataSource AS112TimeseriesGroupEdnsResponseMetaConfidenceInfoAnnotationsDataSourceData source for annotations.
Data source for annotations.
EventType AS112TimeseriesGroupEdnsResponseMetaConfidenceInfoAnnotationsEventTypeEvent type for annotations.
Event type for annotations.
Normalization AS112TimeseriesGroupEdnsResponseMetaNormalizationNormalization method applied to the results. Refer to Normalization methods.
Normalization method applied to the results. Refer to Normalization methods.
Get AS112 DNS queries by EDNS support summary
package main
import (
"context"
"fmt"
"github.com/cloudflare/cloudflare-go"
"github.com/cloudflare/cloudflare-go/option"
"github.com/cloudflare/cloudflare-go/radar"
)
func main() {
client := cloudflare.NewClient(
option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
)
response, err := client.Radar.AS112.TimeseriesGroups.Edns(context.TODO(), radar.AS112TimeseriesGroupEdnsParams{
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Meta)
}
{
"result": {
"meta": {
"aggInterval": "FIFTEEN_MINUTES",
"confidenceInfo": {
"annotations": [
{
"dataSource": "ALL",
"description": "Cable cut in Tonga",
"endDate": "2019-12-27T18:11:19.117Z",
"eventType": "EVENT",
"isInstantaneous": true,
"linkedUrl": "https://example.com",
"startDate": "2019-12-27T18:11:19.117Z"
}
],
"level": 0
},
"dateRange": [
{
"endTime": "2022-09-17T10:22:57.555Z",
"startTime": "2022-09-16T10:22:57.555Z"
}
],
"lastUpdated": "2019-12-27T18:11:19.117Z",
"normalization": "PERCENTAGE",
"units": [
{
"name": "*",
"value": "requests"
}
]
},
"serie_0": {
"NOT_SUPPORTED": [
"10"
],
"SUPPORTED": [
"10"
]
}
},
"success": true
}Returns Examples
{
"result": {
"meta": {
"aggInterval": "FIFTEEN_MINUTES",
"confidenceInfo": {
"annotations": [
{
"dataSource": "ALL",
"description": "Cable cut in Tonga",
"endDate": "2019-12-27T18:11:19.117Z",
"eventType": "EVENT",
"isInstantaneous": true,
"linkedUrl": "https://example.com",
"startDate": "2019-12-27T18:11:19.117Z"
}
],
"level": 0
},
"dateRange": [
{
"endTime": "2022-09-17T10:22:57.555Z",
"startTime": "2022-09-16T10:22:57.555Z"
}
],
"lastUpdated": "2019-12-27T18:11:19.117Z",
"normalization": "PERCENTAGE",
"units": [
{
"name": "*",
"value": "requests"
}
]
},
"serie_0": {
"NOT_SUPPORTED": [
"10"
],
"SUPPORTED": [
"10"
]
}
},
"success": true
}